## lintian-brush 0.126

=== debian/changelog ===
lintian-brush (0.126) unstable; urgency=medium

  * Add --yolo argument.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 13:16:34 +0100

lintian-brush (0.125) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Depend on newer brz-debian.
  * Add fixer for new-package-uses-date-based-version-number.
  * Add fixerf for initial-upload-closes-no-bugs.
  * debug-symbol-migration-possibly-complete: avoid removing unnecessary
    overrides when not changing anything.

  [ Geert Stappers ]
  * Actually ship debianize.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 10:17:18 +0100

lintian-brush (0.124) unstable; urgency=medium

  * Add --debian-binary argument to debianize.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 10 Apr 2022 17:02:32 +0100

lintian-brush (0.123) unstable; urgency=medium

  * Drop debian/upstream/metadata: package is native.
  * Add lintian-override for runtime debhelper dependency, which is
    actually necessary.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Make changelog messages for binary-control-field-duplicates-source
    shorter.
  * Support ubuntu/esm, debian/lts, debian/elts as releases.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Feb 2022 21:02:06 +0000

lintian-brush (0.122) unstable; urgency=medium

  * Also check 'Essential: yes' packages when tidying up build dependencies.
    Thanks to Andreas Beckmann for reporting.
  * Only find out once per run whether the changelog should be updated.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 17 Feb 2022 20:05:18 +0000

lintian-brush (0.121) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Don't add reference comment field when License-Reference field exists.
  * Convert index.desc to yaml.

  [ Simon Chopin ]
  * Fix the lintian compatibility code.
  * Relax the lintian-brush version number testing to allow for arbitrary
    suffixes, such as ubuntu1.

  [ Jelmer Vernooĳ ]
  * debian-source-options-has-custom-compression-settings: Drop newline
    in override info.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Feb 2022 23:13:27 +0000

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               decopy,
               devscripts,
               dh-python,
               dos2unix,
               python3-all,
               python3-bs4,
               python3-breezy (>= 3.2.1+bzr7584),
               python3-breezy.tests,
               python3-dulwich (>= 0.19.7),
               python3-distro-info,
               python3-debian,
               python3-debmutate (>= 0.48),
               python3-iniparse,
               python3-iso8601,
               python3-pyinotify [linux-any],
               python3-levenshtein,
               python3-setuptools,
               python3-ruamel.yaml,
               python3-tqdm,
               python3-upstream-ontologist (>= 0.1.22),
               python3-docutils,
               python3-lxml,
               python3-markdown,
               python3-tomlkit,
               po-debconf,
               gpg (>= 2.1),
               lintian (>= 2.105.0),
               debhelper-compat (= 13),
               debhelper (>= 13.5),
               ognibuild
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: all
Depends: devscripts,
         python3-breezy (>= 3.2.1+bzr7584),
         python3-debian,
         python3-debmutate (>= 0.48),
         python3-dulwich (>= 0.19.7),
         python3-distro-info,
         python3-iniparse,
         python3-iso8601,
         python3-ruamel.yaml,
         python3-tqdm,
         python3-upstream-ontologist (>= 0.1.22),
         ${misc:Depends},
         ${python3:Depends}
Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
Suggests: gnome-pkg-tools, postgresql-common, brz-debian (>= 2.8.66), po-debconf, git-buildpackage
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

## lintian-brush 0.128

=== debian/changelog ===
lintian-brush (0.128) unstable; urgency=medium

  * Add missing dependency on python3-semver.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 19:45:01 +0100

lintian-brush (0.127) unstable; urgency=medium

  * Fix compatibility with newer python-debian/debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 15:04:03 +0100

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, debhelper (>= 13.5), lintian (>= 2.104.0), python3-iniparse, python3-levenshtein, decopy, po-debconf, python3-upstream-ontologist (>= 0.1.22), python3-markdown, python3-docutils, python3-bs4, python3-lxml, python3-tomlkit, python3-semver
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

## lintian-brush 0.129

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

check:: style testsuite tag-status

FIXERS = $(patsubst fixers/%.sh,%,$(wildcard fixers/*.sh)) $(patsubst fixers/%.py,%,$(wildcard fixers/*.py))

$(patsubst %,check-fixer-%,$(FIXERS)): check-fixer-%:
	PYTHONPATH=$(PWD):$(PYTHONPATH) python3 -m lintian_brush.tests.fixers --fixer=$*

.PHONY: style testsuite unsupported

style::
	flake8

typing::
	mypy lintian_brush fixers

tag-status::
	python3 tag-status.py --check

testsuite::
	python3 setup.py test

testsuite-core:
	python3 -m unittest lintian_brush.tests.core_test_suite

README.md::
	PYTHONPATH=$(PWD):$(PYTHONPATH) ./buildtools/update-readme.py

lintian-tags:
	lintian-explain-tags --list-tags > lintian-tags

.PHONY: lintian-tags lintian-brush-tags

lintian-brush-tags:
	PYTHONPATH=$(PWD):$(PYTHONPATH) python3 -m lintian_brush --list-tags 2> lintian-brush-tags

unsupported: lintian-tags lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-readme:
	brz diff README.md
	$(MAKE) README.md
	brz diff README.md || brz commit -m "Update list of fixers in README.md" README.md

release: check update-readme
	./setup.py sdist
	twine upload --sign dist/lintian-brush-$(VERSION).tar.gz

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json

update-key-package-versions:
	python3 key-package-versions.py
	brz diff key-package-versions.json || brz commit -m "Update key package versions" key-package-versions.json

update-renamed-tags:
	python3 renamed-tags.py
	brz diff renamed-tags.json || brz commit -m "Update renamed tags" renamed-tags.json

update: update-spdx update-readme update-renamed-tags update-key-package-versions

next:
	python3 next.py

=== debian/changelog ===
lintian-brush (0.129) unstable; urgency=medium

  * Add fixer old-override-info-format: updates lintian overrides to new
    format. Closes: #1014407
  * package-uses-deprecated-source-override-location: cope with existing
    debian/source/lintian-overrides.
  * Update key versions.
  * debbugs: Fix database connectivity logic.
  * out-of-date-standards-version: Update for 4.6.1.
  * deb-scrub-obsolete(1): Document supported values for RELEASE in
    arguments.
  * Tweak wording in message when tree is dirty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 20:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.48),
+               python3-debmutate (>= 0.54),
                python3-iniparse,
                python3-iso8601,
                python3-pyinotify [linux-any],
                python3-levenshtein,
+               python3-semver,
                python3-setuptools,
                python3-ruamel.yaml,
                python3-tqdm,
@@ -43,7 +44,7 @@
 Depends: devscripts,
          python3-breezy (>= 3.2.1+bzr7584),
          python3-debian,
-         python3-debmutate (>= 0.48),
+         python3-debmutate (>= 0.54),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
@@ -53,7 +54,7 @@
          python3-upstream-ontologist (>= 0.1.22),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
+Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver
 Suggests: gnome-pkg-tools, postgresql-common, brz-debian (>= 2.8.66), po-debconf, git-buildpackage
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 160

## lintian-brush 0.132

=== Makefile ===
--- 
+++ 
@@ -63,3 +63,14 @@
 
 next:
 	python3 next.py
+
+docker:
+	buildah build -t ghcr.io/jelmer/lintian-brush:latest Dockerfile.lintian-brush .
+	buildah push ghcr.io/jelmer/lintian-brush:latest
+	buildah build -t ghcr.io/jelmer/deb-scrub-obsolete:latest Dockerfile.deb-scrub-obsolete .
+	buildah push ghcr.io/jelmer/deb-scrub-obsolete:latest
+	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
+	buildah push ghcr.io/jelmer/debianize:latest
+	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
+	buildah push ghcr.io/jelmer/debianize:latest
+

=== debian/changelog ===
lintian-brush (0.132) unstable; urgency=medium

  * Add old-override-info-format pattern for uses-dpkg-database-
    directly.
  * old-override-info-format: Don't repeatedly add surrounding []s.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 28 Sep 2022 18:27:24 +0100

lintian-brush (0.131) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * debian-rules-uses-as-needed-linker-flags: don't just reformat linker
    flag lines.
  * detect_gbp_dch: Scan for WIP headers in changelog as well.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gpg and python3-dulwich.
    + lintian-brush: Drop versioned constraint on python3-dulwich in Depends.
    + lintian-brush: Drop versioned constraint on gpg in Recommends.
  * Update standards version to 4.6.1, no changes needed.

  [ Jelmer Vernooĳ ]
  * Rely on check_upstream_metadata to follow redirects. Closes: #948637
  * homepage-field-uses-insecure-uri: Don't update Homepage field if
    https page redirects back to http page. Closes: #977593
  * debian/watch: Replace use of /releases with /tags for GitHub URLs.
  * Cope with setuptools overriding distutils.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Sep 2022 02:54:02 +0100

lintian-brush (0.130) unstable; urgency=medium

  * Include aliases for releases in changelog. Closes: #1018697
  * debian-rules-uses-as-needed-linker-flag: Support removing --as-
    needed from lists with multiple linker flags.
  * malformed-override: fix fixer, add tests.
  * Bump minimum debmutate to 0.56, as that fixes a bug discarding
    comments in control fields.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Sep 2022 13:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                python3-bs4,
                python3-breezy (>= 3.2.1+bzr7584),
                python3-breezy.tests,
-               python3-dulwich (>= 0.19.7),
+               python3-dulwich,
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.54),
+               python3-debmutate (>= 0.57),
                python3-iniparse,
                python3-iso8601,
                python3-pyinotify [linux-any],
@@ -29,12 +29,12 @@
                python3-markdown,
                python3-tomlkit,
                po-debconf,
-               gpg (>= 2.1),
+               gpg,
                lintian (>= 2.105.0),
                debhelper-compat (= 13),
                debhelper (>= 13.5),
                ognibuild
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
@@ -44,8 +44,8 @@
 Depends: devscripts,
          python3-breezy (>= 3.2.1+bzr7584),
          python3-debian,
-         python3-debmutate (>= 0.54),
-         python3-dulwich (>= 0.19.7),
+         python3-debmutate (>= 0.57),
+         python3-dulwich,
          python3-distro-info,
          python3-iniparse,
          python3-iso8601,
@@ -54,7 +54,7 @@
          python3-upstream-ontologist (>= 0.1.22),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver
+Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver
 Suggests: gnome-pkg-tools, postgresql-common, brz-debian (>= 2.8.66), po-debconf, git-buildpackage
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 160

## lintian-brush 0.134

=== debian/changelog ===
lintian-brush (0.134) unstable; urgency=medium

  * deb-scrub-obsolete: add --keep-minimum-depends-versions option.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Oct 2022 18:31:05 +0000

lintian-brush (0.133) unstable; urgency=medium

  * Add fixer for missing-prerequisite-for-pyproject-backend.
  * typo-in-debhelper-override-target: Don't erroneously correct
    mh_install to dh_install. Closes: #1021899
  * old-override-info-format: Update non-standard-file-perm.
  * Support DEB_COMPAT_RELEASE environment variable.
  * threshold calculattion: Update tag names after changes in lintian.
  * Add significantly more regexes for old-override-info-format.
  * debian-rules-uses-as-needed-linker-flag: Drop related comments as
    well when removing entire line.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 29 Oct 2022 19:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dos2unix,
                python3-all,
                python3-bs4,
-               python3-breezy (>= 3.2.1+bzr7584),
+               python3-breezy (>= 3.3.0~),
                python3-breezy.tests,
                python3-dulwich,
                python3-distro-info,
@@ -42,7 +42,7 @@
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.2.1+bzr7584),
+         python3-breezy (>= 3.3.0~),
          python3-debian,
          python3-debmutate (>= 0.57),
          python3-dulwich,

=== debian/tests/control ===
Test-Command: python3 -m unittest lintian_brush.tests.test_suite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, debhelper (>= 13.5), lintian (>= 2.104.0), python3-iniparse, python3-levenshtein, decopy, po-debconf, python3-upstream-ontologist (>= 0.1.22), python3-markdown, python3-docutils, python3-bs4, python3-lxml, python3-tomlkit, python3-semver, python3-all, strace
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

=== tests/missing-prerequisite-for-pyproject-backend/simple/out/debian/control ===
Source: foo
Build-Depends: python3, python3-setuptools:any

## lintian-brush 0.135

=== debian/changelog ===
lintian-brush (0.135) unstable; urgency=medium

  * field-name-typo-in-dep5-copyright: Don't overwrite existing fields.
  * Various formatting improvements.
  * Fix compatibility with upcoming versions of Breezy, with slightly
    modified DirtyTracker API.
  * Add deb-upstream-deps binary.
  * lintian-brush: don't ignore --exclude when there are no fixers
    specified.
  * Add detect-changelog-behaviour executable.
  * Additional verification for debian/watch changes.
  * old-override-info-format: Fix executable-is-not-world-readable
    order.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 10 Nov 2022 18:10:22 +0000

=== tests/debian-watch-file-is-missing/cran/in/debian/changelog ===
r-cran-gower (42.0-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 23 Apr 2019 21:18:48 +0000

=== tests/missing-build-dependency-for-dh_-command/exists2/in/debian/rules ===
#!/usr/bin/make

%:
	dh $@ --with autoreconf

=== tests/package-uses-deprecated-debhelper-compat-version/cdbs/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper (>= 10~),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

=== tests/pkg-perl-testsuite/missing/in/debian/control ===
Source: libblah-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>

Package: libblah-perl
Description: dummy package

## lintian-brush 0.136

=== Makefile ===
--- 
+++ 
@@ -13,13 +13,13 @@
 	flake8
 
 typing::
-	mypy lintian_brush fixers
+	mypy --check-untyped-defs lintian_brush fixers
 
 tag-status::
 	python3 tag-status.py --check
 
 testsuite::
-	python3 setup.py test
+	python3 -m unittest lintian_brush.tests.test_suite
 
 testsuite-core:
 	python3 -m unittest lintian_brush.tests.core_test_suite

=== debian/changelog ===
lintian-brush (0.136) unstable; urgency=medium

  * Handle TooManyOpenFiles from inotify.
  * Improve info format upgrade for missing-license-paragraph-in-dep5-
    copyright and missing-license-text-in-dep5-copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 15 Nov 2022 20:31:19 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-setuptools,
                python3-ruamel.yaml,
                python3-tqdm,
-               python3-upstream-ontologist (>= 0.1.22),
+               python3-upstream-ontologist (>= 0.1.30),
                python3-docutils,
                python3-lxml,
                python3-markdown,
@@ -51,7 +51,7 @@
          python3-iso8601,
          python3-ruamel.yaml,
          python3-tqdm,
-         python3-upstream-ontologist (>= 0.1.22),
+         python3-upstream-ontologist (>= 0.1.30),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver

=== tests/package-uses-deprecated-debhelper-compat-version/cdbs/in/debian/rules ===
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils

override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== tests/debian-watch-file-uses-github-releases/releases/in/debian/watch ===
version=4
https://github.com/jupyter/jupyter_core/releases .*/archive/(.*)\.tar\.gz

=== tests/debian-watch-file-uses-old-github-pattern/archive-any-version/in/debian/watch ===
version=4
https://github.com/jupyter/jupyter_client/tags .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

=== tests/package-uses-deprecated-debhelper-compat-version/tmpfile-to-tmpfiles/out/debian/control ===
Source: blah
Build-Depends: debhelper (>= 13~)

Package: blah
Description: a binary with a tmpfile

=== tests/vcs-field-bitrotted/viewvc/out/debian/control ===
Source: lintian-brush
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git

Package: lintian-brush
Description: Testing
 Test test

## lintian-brush 0.137

=== debian/changelog ===
lintian-brush (0.137) unstable; urgency=medium

  * transitional-package-should-be-oldlibs-optional: Don't move udeb
    packages to oldlibs. Closes: #1024398
  * maintainer-script-emty: Drop certainty for removing empty maintainer
    scripts that are just comments and seem to be intentional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 23:48:18 +0000

## lintian-brush 0.139

=== debian/changelog ===
lintian-brush (0.139) unstable; urgency=medium

  * deb-scrub-obsolete: support replacing dependency on transitional
    packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 21:39:36 +0000

lintian-brush (0.138) unstable; urgency=medium

  * missing-prerequisite-for-pyproject-backend: don't add :any for all
    packages.
  * handle another case for source-is-missing.
  * Fix version string for ognibuild.
  * Drop deb-upstream-deps: moved to ognibuild.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:42:40 +0000

=== tests/typo-in-debhelper-override-target/typo/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

override_dh_instalman:
	installman -pfoo

=== tests/field-name-typo-in-tests-control/simple/in/debian/tests/control ===
Tests: 4.08.1 ocaml-system
Depends: @, ca-certificates
Restrictions: isolation-container, allow-stderr

Test: ocaml-system
Depends: ocaml-nox

=== tests/obsolete-vim-addon-manager/simple/out/debian/control ===
Source: vim-blah
Section: editors
Priority: optional
Maintainer: Joe Example <joe@example.com>
Build-Depends: debhelper-compat (= 12), dh-vim-addon
Standards-Version: 4.5.0

Package: vim-blah
Architecture: all
Depends: ${misc:Depends}, vim
Description: Blah blah
 blah

=== tests/package-uses-deprecated-debhelper-compat-version/old-init-script/in/debian/control ===
Source: blah
Build-Depends: debhelper (>= 9)

Package: blah
Description: a binary with a init script

## lintian-brush 0.140

=== debian/changelog ===
lintian-brush (0.140) unstable; urgency=medium

  * Fix up override info for jar-not-in-usr-share, package-installs-java-
    bytecode, debconf-is-not-a-registry, unused-debconf-template,
    apache2-reverse-dependency-calls-invoke-rc.d.
  * Only remove get-orig-source target in package-only trees in
    opinionated mode.
  * deb-scrub-obsolete: Don't treat Breaks as a Dependency field.
  * Add fixer for application-in-library-section.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2022 10:18:52 +0000

## lintian-brush 0.141

=== debian/changelog ===
lintian-brush (0.141) unstable; urgency=medium

  * Allow removed files.
  * Reformat.
  * Fix repeated-path-segment.
  * Update SPDX license data
  * Update list of fixers in README.md
  * Update key package versions
  * Factor out probe_signature.
  * Lock write.
  * Support generating watch files for Launchpad.
  * Use common _load_json.
  * Error out when there are no candidates.
  * Split out repo URL.
  * Allow reformatting when rewriting.
  * Handle symlink-is-self-recursive

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 12:55:50 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-bs4,
                python3-breezy (>= 3.3.0~),
                python3-breezy.tests,
+               python3-debianbts,
                python3-dulwich,
                python3-distro-info,
                python3-debian,
@@ -54,7 +55,7 @@
          python3-upstream-ontologist (>= 0.1.30),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver
+Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver, python3-debianbts
 Suggests: gnome-pkg-tools, postgresql-common, brz-debian (>= 2.8.66), po-debconf, git-buildpackage
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 160

=== tests/invalid-standards-version/valid/in/debian/control ===
Source: blah
Standards-Version: 4.4.1

Package: blah

=== tests/out-of-date-standards-version/4.4.0/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.6.1
Build-Depends: debhelper-compat (= 11)

=== tests/uses-debhelper-compat-file/last-entry/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 11)
Standards-Version: 4.2.0

Package: blah
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

## lintian-brush 0.142

=== debian/changelog ===
lintian-brush (0.142) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Handle missing candidates.
  * Update vim_addon alias; see https://salsa.debian.org/lintian/lintian/-/merge_requests/433
  * Various watch fixes.
  * More watch fixer fixes.
  * Add another possible pattern.
  * Fix style.

  [ Jelmer Vernooij ]
  * Add fix for privacy-breach-google-adsense

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 09 Dec 2022 05:23:33 +0000

## lintian-brush 0.143

=== debian/changelog ===
lintian-brush (0.143) unstable; urgency=medium

  * Fix info format fixers for groff-message.
  * Fix spelling error match.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 01:48:54 +0000

=== tests/debian-watch-file-uses-old-github-pattern/reactphp-promise/in/debian/watch ===
version=4
opts=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ https://github.com/reactphp/promise/releases .*/archive/v?(\d.+).tar.gz

## lintian-brush 0.144

=== debian/changelog ===
lintian-brush (0.144) unstable; urgency=medium

  * Track site as well.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Dec 2022 09:35:50 +0000

## lintian-brush 0.145

=== debian/changelog ===
lintian-brush (0.145) unstable; urgency=medium

  * unused-build-dependency-on-cdbs: Cope with missing Build-Depends.
    Closes: #1026052
  * uses-debhelper-compat-file: Only migrate to debhelper-compat for
    stable compat levels. Closes: #1026252

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Dec 2022 15:02:52 +0000

## lintian-brush 0.146

=== debian/changelog ===
lintian-brush (0.146) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * debianize: Add warning about state of the tool.

  [ Colin Watson ]
  * gpg: Fix crash if home_dir is None.

  [ Jelmer Vernooĳ ]
  * Add fixer for duplicate-font-file.
  * transitional-package-should-be-oldlibs-optional: Preserve archive
    area. Closes: #1029241
  * Update tag name: wrong-debian-qa-group-name => faulty-debian-qa-
    group-phase.
  * Drop init.d-script-needs-depends-on-lsb-base. Closes: #946398

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Jan 2023 14:04:08 +0000

## lintian-brush 0.147

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	flake8
 
 typing::
-	mypy --check-untyped-defs lintian_brush fixers
+	mypy lintian_brush fixers
 
 tag-status::
 	python3 tag-status.py --check

=== debian/changelog ===
lintian-brush (0.147) unstable; urgency=medium

  * fix-watch-file: Add --force flag.
  * fix-watch-file: Remember correct set of files to commit.
  * Report diff when encountering whitespace changes that can not be
    preserved.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Feb 2023 01:39:59 +0000

=== tests/debian-changelog-line-too-long/no-joining/in/debian/changelog ===
cdebconf (0.48) unstable; urgency=low

  * Denis Barbier
    - Sort translated choices when a select/multiselect template contains
      a line Listorder: lexicographic
      If some Choices items must not be sorted, they can be prepended with
      an exclamation mark.  Adding a comment is a good idea to let
      translators know why this sign has been put here:
        _Choices: ${FOO}, !Other[ You only have to translate Other, remove the exclamation mark and this comment between brackets]
      Currently text, newt, slang and gtk frontends support this feature.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 31 Oct 2003 19:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                lintian (>= 2.105.0),
                debhelper-compat (= 13),
                debhelper (>= 13.5),
-               ognibuild
+               ognibuild (>= 0.0.18)
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
@@ -55,7 +55,7 @@
          python3-upstream-ontologist (>= 0.1.30),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver, python3-debianbts
+Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild (>= 0.0.18), python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver, python3-debianbts
 Suggests: gnome-pkg-tools, postgresql-common, brz-debian (>= 2.8.66), po-debconf, git-buildpackage
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 160

=== tests/debian-rules-missing-recommended-target/all/out/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

build-indep: build

build-arch:

=== tests/debug-symbol-migration-possibly-complete/old-or/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_test:
ifneq (${SOME_TEST_THING}, 1)
	dh_test
endif

=== tests/debug-symbol-migration-possibly-complete/old/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_test:
ifneq (${SOME_TEST_THING}, 1)
	dh_test
endif

.PHONY: override_dh_test

=== tests/missing-build-dependency-for-dh_-command/with/in/debian/rules ===
#!/usr/bin/make

%:
	dh $@ --with python3

=== tests/typo-in-debhelper-override-target/typo/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

override_dh_installman:
	installman -pfoo

=== debian/tests/control ===
Test-Command: python3 -m unittest lintian_brush.tests.test_suite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, debhelper (>= 13.5), lintian (>= 2.104.0), python3-iniparse, python3-levenshtein, decopy, po-debconf, python3-upstream-ontologist (>= 0.1.22), python3-markdown, python3-docutils, python3-bs4, python3-lxml, python3-tomlkit, python3-semver, python3-all, strace, python3-debianbts
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

=== tests/excessive-priority-for-library-package/implied/out/debian/control ===
Source: bzip2
Priority: required

Package: libbzip2
Section: libs
Priority: optional
Description: blah blah
 blah

=== tests/file-contains-trailing-whitespace/control-end-of-file-lines/in/debian/control ===
Source: lintian-brush

Package: lintian-brush
Description: Testing
 Test test

=== tests/invalid-standards-version/missing-zero/in/debian/control ===
Source: blah
Standards-Version: 4.3

Package: blah

=== tests/missing-build-dependency-for-dh_-command/with/out/debian/control ===
Source: blah
Build-Depends: libc6-dev, python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3

Package: python3-blah
Description: blah blah
 blah

=== tests/python-teams-merged/simple/out/debian/control ===
Source: foo
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>

=== tests/wrong-section-according-to-package-name/node/out/debian/control ===
Source: requirejs-text
Section: web

Package: node-requirejs-text
Architecture: all
Depends: ${misc:Depends}, nodejs
Section: javascript
Description: RequireJS/AMD loader plugin for text resources
 This plugins provides a text.js, a plugin for requirejs that adds support
 for loading text resources.
 .
 Known to work in RequireJS, but should work in other AMD loaders that support
 the same loader plugin API.

## lintian-brush 0.148

=== debian/changelog ===
lintian-brush (0.148) unstable; urgency=medium

  * Bump minimum upstream-ontologist to 0.134.
  * Maintain an explicit list of fields to add to
    debian/upstream/metadata.
  * Migrate from asyncpg to psycopg2.
  * Bump debmutate to 0.66, which fixes shebang-stripping bug - and add
    test.
  * Fill in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Jun 2023 19:04:02 +0100

=== tests/package-uses-deprecated-debhelper-compat-version/install-fail-missing-default/in/debian/changelog ===
f2fs-tools (0.1) UNRELEASED; urgency=medium

  * Initial release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 25 Sep 2021 01:12:59 +0100

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               decopy,
               devscripts,
               dh-python,
               dos2unix,
               librust-pyo3-dev (>= 0.19),
               librust-serde-json-dev (>= 1),
               librust-serde-yaml-dev (>= 0.8),
               librust-serde+derive-dev (>= 1),
               python3-all,
               python3-bs4,
               python3-breezy (>= 3.3.0~),
               python3-breezy.tests,
               python3-debianbts,
               python3-dulwich,
               python3-distro-info,
               python3-debian,
               python3-debmutate (>= 0.66),
               python3-iniparse,
               python3-iso8601,
               python3-pyinotify [linux-any],
               python3-levenshtein,
               python3-semver,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-ruamel.yaml,
               python3-tqdm,
               python3-upstream-ontologist (>= 0.1.34),
               python3-docutils,
               python3-lxml,
               python3-markdown,
               python3-tomlkit,
               python3-setuptools-rust,
               po-debconf,
               gpg,
               lintian (>= 2.105.0),
               debhelper-compat (= 13),
               debhelper (>= 13.5),
               ognibuild (>= 0.0.18),
               rustc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Homepage: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.0~),
         python3-debian,
         python3-debmutate (>= 0.66),
         python3-dulwich,
         python3-distro-info,
         python3-iniparse,
         python3-iso8601,
         python3-ruamel.yaml,
         python3-tqdm,
         python3-upstream-ontologist (>= 0.1.34),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: lintian (>= 2.105.0), dos2unix, gpg, python3-pyinotify, python3-psycopg2, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild (>= 0.0.18), python3-docutils, python3-markdown, python3-lxml, python3-tomlkit, python3-semver, python3-debianbts
Suggests: gnome-pkg-tools, postgresql-common, brz-debian (>= 2.8.66), po-debconf, git-buildpackage
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

=== tests/debian-rules-uses-as-needed-linker-flag/formatting/in/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs

%:
	dh $@

=== tests/build-depends-on-build-essential/simple/in/debian/control ===
Source: blah
Build-Depends: build-essential,libgtk+-3.0-dev

=== tests/out-of-date-standards-version/unavailable/in/debian/control ===
Source: lintrian-brush
Standards-version: 9.1.2

=== tests/package-uses-deprecated-debhelper-compat-version/fail-missing-default/in/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

## lintian-brush 0.149

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,11 @@
 VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)
+
+default: check
+
+.PHONY: build
+
+build:
+	./setup.py build_ext -i
 
 check:: style testsuite tag-status
 
@@ -18,10 +25,10 @@
 tag-status::
 	python3 tag-status.py --check
 
-testsuite::
+testsuite:: build
 	python3 -m unittest lintian_brush.tests.test_suite
 
-testsuite-core:
+testsuite-core: build
 	python3 -m unittest lintian_brush.tests.core_test_suite
 
 README.md::

=== debian/changelog ===
lintian-brush (0.149) unstable; urgency=medium

  * Port some core functionality to rust.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Jun 2023 22:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                devscripts,
                dh-python,
                dos2unix,
+               librust-distro-info-dev (>= 0.4.0),
                librust-pyo3-dev (>= 0.19),
                librust-serde-json-dev (>= 1),
                librust-serde-yaml-dev (>= 0.8),

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home
ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

%:
	dh $@ --with python3,bash_completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/lintian-brush/$(ZSH_COMPDIR)
	install -m644 debian/lintian-brush.zsh-completion \
	    debian/lintian-brush/$(ZSH_COMPDIR)/_lintian-brush

override_dh_auto_clean:
	for I in . lintian-brush-py; do if test -f $$I/Cargo.lock.saved; then mv $$I/Cargo.lock.saved $$I/Cargo.lock; fi; done
	dh_auto_clean

override_dh_auto_build:
	for I in . lintian-brush-py; do mv $$I/Cargo.lock $$I/Cargo.lock.saved; done
	dh_auto_build

## lintian-brush 0.151

=== debian/changelog ===
lintian-brush (0.151) unstable; urgency=medium

  * Finish conversion of apply-multiarch-hints to rust. Closes:
    #1051766, #1042949
  * Add support for ma-workaround.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Sep 2023 14:17:49 +0100

lintian-brush (0.150) unstable; urgency=medium

  * Scrub environment when running tests.
  * Port the lintian-brush command to rust.
  * Bump breezy dependency to 3.3.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Sep 2023 17:49:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,42 @@
                devscripts,
                dh-python,
                dos2unix,
+               librust-chrono-dev (>= 0.4),
                librust-distro-info-dev (>= 0.4.0),
-               librust-pyo3-dev (>= 0.19),
+               librust-lazy-static-dev (>= 1.4),
+               librust-log-dev (>= 0.4),
+               librust-maplit-dev (>= 1),
+               librust-pyo3+auto-initialize-dev (>= 0.19),
+               librust-pyo3+serde-dev (>= 0.19),
+               librust-pyo3+chrono-dev (>= 0.19),
+               librust-reqwest+blocking-dev (>= 0.11),
                librust-serde-json-dev (>= 1),
                librust-serde-yaml-dev (>= 0.8),
                librust-serde+derive-dev (>= 1),
+               librust-configparser-dev (>= 3.0.2),
+               librust-clap+derive-dev (>= 4),
+               librust-clap+env-dev (>= 4),
+               librust-clap+suggestions-dev (>= 4),
+               librust-clap+cargo-dev (>= 4),
+               librust-clap+string-dev (>= 4),
+               librust-env-logger-dev (>= 0.9),
+               librust-lazy-regex-dev (>= 2),
+               librust-debversion-dev (>= 0.1.8),
+               librust-breezyshim-dev (>= 0.1.33),
+               librust-indicatif-dev (>= 0.17),
+               librust-tempfile-dev (>= 3),
+               librust-url+serde-dev (>= 2),
+               librust-xz2-dev (>= 0.1),
+               librust-pyo3-log-dev,
                python3-all,
                python3-bs4,
-               python3-breezy (>= 3.3.0~),
+               python3-breezy (>= 3.3.1~),
                python3-breezy.tests,
                python3-debianbts,
                python3-dulwich,
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.66),
+               python3-debmutate (>= 0.67),
                python3-iniparse,
                python3-iso8601,
                python3-pyinotify [linux-any],
@@ -52,9 +74,9 @@
 Package: lintian-brush
 Architecture: any
 Depends: devscripts,
-         python3-breezy (>= 3.3.0~),
+         python3-breezy (>= 3.3.1~),
          python3-debian,
-         python3-debmutate (>= 0.66),
+         python3-debmutate (>= 0.67),
          python3-dulwich,
          python3-distro-info,
          python3-iniparse,

## lintian-brush 0.152

=== debian/changelog ===
lintian-brush (0.152) unstable; urgency=medium

  * Fix compatibility with newer rust crates. Closes: #1054839

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Oct 2023 01:41:32 +0100

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 13.5),
               debhelper-compat (= 13),
               decopy,
               devscripts,
               dh-python,
               dos2unix,
               gpg,
               librust-breezyshim-dev (>= 0.1.34),
               librust-chrono-dev (>= 0.4),
               librust-clap+cargo-dev (>= 4),
               librust-clap+derive-dev (>= 4),
               librust-clap+env-dev (>= 4),
               librust-clap+string-dev (>= 4),
               librust-clap+suggestions-dev (>= 4),
               librust-configparser-dev (>= 3.0.2),
               librust-debian-changelog-dev,
               librust-debversion-dev (>= 0.1.8),
               librust-distro-info-dev (>= 0.4.0),
               librust-env-logger-dev (>= 0.9),
               librust-indicatif-dev (>= 0.17),
               librust-lazy-regex-dev (>= 2),
               librust-lazy-static-dev (>= 1.4),
               librust-log-dev (>= 0.4),
               librust-maplit-dev (>= 1),
               librust-pyo3+auto-initialize-dev (>= 0.19),
               librust-pyo3+chrono-dev (>= 0.19),
               librust-pyo3+serde-dev (>= 0.19),
               librust-pyo3-log-dev,
               librust-reqwest+blocking-dev (>= 0.11),
               librust-serde+derive-dev (>= 1),
               librust-serde-json-dev (>= 1),
               librust-serde-yaml-dev (>= 0.8),
               librust-tempfile-dev (>= 3),
               librust-url+serde-dev (>= 2),
               librust-xdg-dev,
               librust-xz2-dev (>= 0.1),
               lintian (>= 2.105.0),
               ognibuild (>= 0.0.18),
               po-debconf,
               pybuild-plugin-pyproject,
               python3-all,
               python3-breezy (>= 3.3.1~),
               python3-breezy.tests,
               python3-bs4,
               python3-debian,
               python3-debmutate (>= 0.67),
               python3-distro-info,
               python3-docutils,
               python3-dulwich,
               python3-iniparse,
               python3-iso8601,
               python3-levenshtein,
               python3-lxml,
               python3-markdown,
               python3-pyinotify [linux-any],
               python3-ruamel.yaml,
               python3-semver,
               python3-setuptools,
               python3-setuptools-rust,
               python3-tomlkit,
               python3-tqdm,
               python3-upstream-ontologist (>= 0.1.34),
               rustc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Homepage: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         python3-debian,
         python3-debmutate (>= 0.67),
         python3-distro-info,
         python3-dulwich,
         python3-iniparse,
         python3-iso8601,
         python3-ruamel.yaml,
         python3-tqdm,
         python3-upstream-ontologist (>= 0.1.34),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0),
            ognibuild (>= 0.0.18),
            python3-bs4,
            python3-docutils,
            python3-levenshtein,
            python3-lxml,
            python3-markdown,
            python3-psycopg2,
            python3-pyinotify,
            python3-semver,
            python3-tomlkit
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          gnome-pkg-tools,
          po-debconf,
          postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.
